version: "3.7"

services:
  app:
    labels:
      - traefik.enable=true
      - traefik.docker.network=nexylan
      - traefik.http.routers.${CI_PROJECT_PATH_SLUG}-${CI_ENVIRONMENT_SLUG}.rule=Host(`${CI_ENVIRONMENT_HOST}`)
      - traefik.http.routers.${CI_PROJECT_PATH_SLUG}-${CI_ENVIRONMENT_SLUG}.tls.certresolver=letsencrypt
    restart: always
    networks:
      - default
      - private
    environment:
      - "DATABASE_URL=mysql://root@${CI_PROJECT_PATH_SLUG}-db:3306/app"

  db:
    restart: always
    networks:
      private:
        aliases:
          - ${CI_PROJECT_PATH_SLUG}-db

  pma:
    image: phpmyadmin/phpmyadmin:4.8
    labels:
      - traefik.enable=true
      - traefik.docker.network=nexylan
      - traefik.http.routers.${CI_PROJECT_PATH_SLUG}-${CI_ENVIRONMENT_SLUG}-pma.rule=Host(`pma.${CI_ENVIRONMENT_HOST}`)
      - traefik.http.routers.${CI_PROJECT_PATH_SLUG}-${CI_ENVIRONMENT_SLUG}-pma.tls.certresolver=letsencrypt
    networks:
      - default
      - private
    environment:
      - PMA_HOST=${CI_PROJECT_PATH_SLUG}-db

networks:
  default:
    external:
      name: nexylan
  private:
    internal: true
